### Method

# AppStream Artifact set_platform

#### Declaration [src]

    void
    as_artifact_set_platform (
      AsArtifact* artifact,
      const gchar* platform
    )

#### Description [src]

Sets the artifact platform triplet or identifier string.

#### Parameters

`platform`

  Type: `const gchar*`

  The platform triplet.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.